# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_XLinkIterator Class Reference

Iterates on Reference attributes.
.

`#include <TDocStd_XLinkIterator.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDocStd_XLinkIterator ()
| Returns an empty iterator; .
Standard_EXPORT | TDocStd_XLinkIterator (const Handle(TDocStd_Document)&D)
| Creates an iterator on Reference of <d>. .
Standard_EXPORT void | Initialize (const Handle(TDocStd_Document)&D)
| Restarts an iteration with <d>. .
Standard_Boolean | More () const
| Returns True if there is a current Item in the iteration. .
Standard_EXPORT void | Next ()
| Move to the next item; raises if there is no more item. .
TDocStd_XLinkPtr | Value () const
| Returns the current item; a null handle if there is none. .

## Private Member Functions

Standard_EXPORT void | Init (const Handle(TDocStd_Document)&D)

## Private Attributes

TDocStd_XLinkPtr | myValue

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_XLinkIterator::TDocStd_XLinkIterator | ( |  | ) |

Standard_EXPORT TDocStd_XLinkIterator::TDocStd_XLinkIterator | ( | const Handle(TDocStd_Document)& | D | ) |

## Member Function Documentation

Standard_EXPORT void TDocStd_XLinkIterator::Init | ( | const Handle(TDocStd_Document)& | D | ) | `[private]`

Standard_EXPORT void TDocStd_XLinkIterator::Initialize | ( | const Handle(TDocStd_Document)& | D | ) |

Standard_Boolean TDocStd_XLinkIterator::More | ( |  | ) | const`[inline]`

Standard_EXPORT void TDocStd_XLinkIterator::Next | ( |  | ) |

void TDocStd_XLinkIterator::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDocStd_XLinkIterator::operator new | ( | size_t | size | ) | `[inline]`

void* TDocStd_XLinkIterator::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDocStd_XLink * TDocStd_XLinkIterator::Value | ( |  | ) | const`[inline]`

## Field Documentation

TDocStd_XLinkPtr TDocStd_XLinkIterator::myValue `[private]`

The documentation for this class was generated from the following files:

- TDocStd_XLinkIterator.hxx
- TDocStd_XLinkIterator.lxx